#include <HerkuleX.h>
#define MOTORID  219  // HerkuleX Servo Motor ID

void setup()  
{ 
  Serial.begin(9600);    // Open serial communications
  while (!Serial) ;
    
  HerkuleX.beginSerial3(115200);  
    
  HerkuleX.clear(254);
  HerkuleX.torqueOn(254);  
  Serial.println("TORQUE ON");
  
  HerkuleX.movePos(MOTORID, 1024, 10, HERKULEX_LED_BLUE);
  delay(3000); 
}

void loop() // run over and over
{
  HerkuleX.movePos(MOTORID, 500, 1, HERKULEX_LED_BLUE);
  delay(2000);
  Serial.println(HerkuleX.getPos(MOTORID));
  delay(100);
  HerkuleX.movePos(MOTORID, 1800, 1, HERKULEX_LED_BLUE);
  delay(2000);
  Serial.println(HerkuleX.getPos(MOTORID));
  delay(100);
  Serial.println(HerkuleX.getStatus(MOTORID));
}

 
