#include <HerkuleX.h>
#define MOTORID  219  // HerkuleX Servo Motor ID

void setup()  
{ 
  Serial.begin(9600);    // Open serial communications
  while (!Serial) ;
    
  HerkuleX.beginSerial3(115200);  
    
  HerkuleX.clear(254);
  HerkuleX.torqueOn(254);  
  Serial.println("TORQUE ON");
  
  //HerkuleX.compensateEncoderPos(MOTORID);
  HerkuleX.compensateEncoderPos(MOTORID);
  HerkuleX.movePos(MOTORID, 16384, 60, HERKULEX_LED_BLUE);
  delay(3000); 
}

void loop() // run over and over
{
  HerkuleX.movePos(MOTORID, 2000, 60, HERKULEX_LED_GREEN);
  delay(4000);
  Serial.println(HerkuleX.getPos(MOTORID));
  delay(100);
  HerkuleX.movePos(MOTORID, 32000, 60, HERKULEX_LED_BLUE);
  delay(4000);
  Serial.println(HerkuleX.getPos(MOTORID));
  delay(100);
  Serial.println(HerkuleX.getStatus(MOTORID));
}
