#include <HerkuleX.h>
#include <SoftwareSerial.h>

#define RX   8        // Connected with HerkuleX TX Pin
#define TX   9        // Connected with HerkuleX RX Pin
#define MOTORID  253  // HerkuleX Servo Motor ID

void setup()  
{
  Serial.begin(9600);    // Open serial communications
  // Open SoftwareSerial with 57600 baudrate
  // To set up HerkuleX servo baudrate, See. the library manual
  HerkuleX.beginSoftwareSerial(115200, RX, TX);  
  delay(10);
  // Torque ON
  HerkuleX.torqueOn(MOTORID);
  HerkuleX.clear(MOTORID);
}

void loop() // run over and over
{
  
   HerkuleX.movePos(MOTORID, 789, 1, HERKULEX_LED_BLUE);
  delay(2000);
  Serial.println(HerkuleX.getPos(MOTORID));
  delay(100);
   HerkuleX.movePos(MOTORID, 235, 1, HERKULEX_LED_GREEN);
  delay(2000);
  Serial.println(HerkuleX.getPos(MOTORID));
  delay(100);
  
}

 
